{
  "format_version": "1.10.0",
  "particle_effect": {
    "description": {
      "identifier": "raigen:tiki_torch_fire",
      "basic_render_parameters": {
        "material": "particles_alpha",
        "texture": "textures/flame_atlas"
      }
    },
    "components": {
      "minecraft:emitter_local_space": {
        "position": true,
        "rotation": true
      },
      "minecraft:emitter_lifetime_expression": {
        "activation_expression": 1,
        "expiration_expression": 0
      },
      "minecraft:particle_lifetime_expression": {
        "max_lifetime": "Math.random(0.6, 2.0)"
      },
      "minecraft:emitter_shape_point": {
        "offset": [ 0, -0.1, 0 ]
	  },
      "minecraft:emitter_rate_steady": {
        "spawn_rate": "100",
        "max_particles": 1
      },
      "minecraft:particle_appearance_billboard": {
        "size": [ 0.3, 0.3 ],
        "facing_camera_mode": "lookat_xyz",
        "uv": {
          "texture_width": 16,
          "texture_height": 512,
          "flipbook": {
            "base_UV": [0, 0],
            "size_UV": [16, 16],
            "step_UV": [0, 16],
            "frames_per_second": 32,
            "max_frame": 32,
            "loop": true
          }
        }
      }
    }
  }
}
